Skip to main content
`Ctrl`+`K`

# PetscPartitionerType

String with the name of a PETSc graph partitioner

## Synopsis

    typedef const char *PetscPartitionerType;
    #define PETSCPARTITIONERPARMETIS   "parmetis"
    #define PETSCPARTITIONERPTSCOTCH   "ptscotch"
    #define PETSCPARTITIONERCHACO      "chaco"
    #define PETSCPARTITIONERSIMPLE     "simple"
    #define PETSCPARTITIONERSHELL      "shell"
    #define PETSCPARTITIONERGATHER     "gather"
    #define PETSCPARTITIONERMULTISTAGE "multistage"

## See Also

`PetscPartitionerSetType()`, `PetscPartitioner`

## Level

beginner

## Location

include/petscpartitioner.h

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages